<?php

namespace Dpd\Info;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'markEventsAsProcessedV1' => '\\Dpd\\Info\\StructType\\MarkEventsAsProcessedV1',
            'authDataV1' => '\\Dpd\\Info\\StructType\\AuthDataV1',
            'markEventsAsProcessedV1Response' => '\\Dpd\\Info\\StructType\\MarkEventsAsProcessedV1Response',
            'Exception' => '\\Dpd\\Info\\StructType\\Exception',
            'getEventsForCustomerV4' => '\\Dpd\\Info\\StructType\\GetEventsForCustomerV4',
            'getEventsForCustomerV4Response' => '\\Dpd\\Info\\StructType\\GetEventsForCustomerV4Response',
            'customerEventsResponseV2' => '\\Dpd\\Info\\StructType\\CustomerEventsResponseV2',
            'customerEventV2' => '\\Dpd\\Info\\StructType\\CustomerEventV2',
            'customerEventDataV2' => '\\Dpd\\Info\\StructType\\CustomerEventDataV2',
            'getEventsForCustomerV3' => '\\Dpd\\Info\\StructType\\GetEventsForCustomerV3',
            'getEventsForCustomerV3Response' => '\\Dpd\\Info\\StructType\\GetEventsForCustomerV3Response',
            'getEventsForCustomerV2' => '\\Dpd\\Info\\StructType\\GetEventsForCustomerV2',
            'getEventsForCustomerV2Response' => '\\Dpd\\Info\\StructType\\GetEventsForCustomerV2Response',
            'customerEventsResponseV1' => '\\Dpd\\Info\\StructType\\CustomerEventsResponseV1',
            'customerEventV1' => '\\Dpd\\Info\\StructType\\CustomerEventV1',
            'getEventsForCustomerV1' => '\\Dpd\\Info\\StructType\\GetEventsForCustomerV1',
            'getEventsForCustomerV1Response' => '\\Dpd\\Info\\StructType\\GetEventsForCustomerV1Response',
            'getEventsForWaybillV1' => '\\Dpd\\Info\\StructType\\GetEventsForWaybillV1',
            'getEventsForWaybillV1Response' => '\\Dpd\\Info\\StructType\\GetEventsForWaybillV1Response',
            'customerEventsResponseV3' => '\\Dpd\\Info\\StructType\\CustomerEventsResponseV3',
            'customerEventV3' => '\\Dpd\\Info\\StructType\\CustomerEventV3',
            'customerEventDataV3' => '\\Dpd\\Info\\StructType\\CustomerEventDataV3',
        );
    }
}
