<?php

namespace Dpd\Info\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for customerEventV1 StructType
 * @subpackage Structs
 */
class CustomerEventV1 extends AbstractStructBase
{
    /**
     * The businessCode
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $businessCode;
    /**
     * The country
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $country;
    /**
     * The depot
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $depot;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The eventData1
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $eventData1;
    /**
     * The eventData2
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $eventData2;
    /**
     * The eventData3
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $eventData3;
    /**
     * The eventTime
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $eventTime;
    /**
     * The id
     * @var int
     */
    public $id;
    /**
     * The objectId
     * @var int
     */
    public $objectId;
    /**
     * The operationType
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $operationType;
    /**
     * The packageReference
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $packageReference;
    /**
     * The parcelReference
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $parcelReference;
    /**
     * The waybill
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $waybill;
    /**
     * Constructor method for customerEventV1
     * @uses CustomerEventV1::setBusinessCode()
     * @uses CustomerEventV1::setCountry()
     * @uses CustomerEventV1::setDepot()
     * @uses CustomerEventV1::setDescription()
     * @uses CustomerEventV1::setEventData1()
     * @uses CustomerEventV1::setEventData2()
     * @uses CustomerEventV1::setEventData3()
     * @uses CustomerEventV1::setEventTime()
     * @uses CustomerEventV1::setId()
     * @uses CustomerEventV1::setObjectId()
     * @uses CustomerEventV1::setOperationType()
     * @uses CustomerEventV1::setPackageReference()
     * @uses CustomerEventV1::setParcelReference()
     * @uses CustomerEventV1::setWaybill()
     * @param string $businessCode
     * @param string $country
     * @param string $depot
     * @param string $description
     * @param string $eventData1
     * @param string $eventData2
     * @param string $eventData3
     * @param string $eventTime
     * @param int $id
     * @param int $objectId
     * @param string $operationType
     * @param string $packageReference
     * @param string $parcelReference
     * @param string $waybill
     */
    public function __construct($businessCode = null, $country = null, $depot = null, $description = null, $eventData1 = null, $eventData2 = null, $eventData3 = null, $eventTime = null, $id = null, $objectId = null, $operationType = null, $packageReference = null, $parcelReference = null, $waybill = null)
    {
        $this
            ->setBusinessCode($businessCode)
            ->setCountry($country)
            ->setDepot($depot)
            ->setDescription($description)
            ->setEventData1($eventData1)
            ->setEventData2($eventData2)
            ->setEventData3($eventData3)
            ->setEventTime($eventTime)
            ->setId($id)
            ->setObjectId($objectId)
            ->setOperationType($operationType)
            ->setPackageReference($packageReference)
            ->setParcelReference($parcelReference)
            ->setWaybill($waybill);
    }
    /**
     * Get businessCode value
     * @return string|null
     */
    public function getBusinessCode()
    {
        return $this->businessCode;
    }
    /**
     * Set businessCode value
     * @param string $businessCode
     * @return \Dpd\Info\StructType\CustomerEventV1
     */
    public function setBusinessCode($businessCode = null)
    {
        $this->businessCode = $businessCode;
        return $this;
    }
    /**
     * Get country value
     * @return string|null
     */
    public function getCountry()
    {
        return $this->country;
    }
    /**
     * Set country value
     * @param string $country
     * @return \Dpd\Info\StructType\CustomerEventV1
     */
    public function setCountry($country = null)
    {
        $this->country = $country;
        return $this;
    }
    /**
     * Get depot value
     * @return string|null
     */
    public function getDepot()
    {
        return $this->depot;
    }
    /**
     * Set depot value
     * @param string $depot
     * @return \Dpd\Info\StructType\CustomerEventV1
     */
    public function setDepot($depot = null)
    {
        $this->depot = $depot;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \Dpd\Info\StructType\CustomerEventV1
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get eventData1 value
     * @return string|null
     */
    public function getEventData1()
    {
        return $this->eventData1;
    }
    /**
     * Set eventData1 value
     * @param string $eventData1
     * @return \Dpd\Info\StructType\CustomerEventV1
     */
    public function setEventData1($eventData1 = null)
    {
        $this->eventData1 = $eventData1;
        return $this;
    }
    /**
     * Get eventData2 value
     * @return string|null
     */
    public function getEventData2()
    {
        return $this->eventData2;
    }
    /**
     * Set eventData2 value
     * @param string $eventData2
     * @return \Dpd\Info\StructType\CustomerEventV1
     */
    public function setEventData2($eventData2 = null)
    {
        $this->eventData2 = $eventData2;
        return $this;
    }
    /**
     * Get eventData3 value
     * @return string|null
     */
    public function getEventData3()
    {
        return $this->eventData3;
    }
    /**
     * Set eventData3 value
     * @param string $eventData3
     * @return \Dpd\Info\StructType\CustomerEventV1
     */
    public function setEventData3($eventData3 = null)
    {
        $this->eventData3 = $eventData3;
        return $this;
    }
    /**
     * Get eventTime value
     * @return string|null
     */
    public function getEventTime()
    {
        return $this->eventTime;
    }
    /**
     * Set eventTime value
     * @param string $eventTime
     * @return \Dpd\Info\StructType\CustomerEventV1
     */
    public function setEventTime($eventTime = null)
    {
        $this->eventTime = $eventTime;
        return $this;
    }
    /**
     * Get id value
     * @return int|null
     */
    public function getId()
    {
        return $this->id;
    }
    /**
     * Set id value
     * @param int $id
     * @return \Dpd\Info\StructType\CustomerEventV1
     */
    public function setId($id = null)
    {
        $this->id = $id;
        return $this;
    }
    /**
     * Get objectId value
     * @return int|null
     */
    public function getObjectId()
    {
        return $this->objectId;
    }
    /**
     * Set objectId value
     * @param int $objectId
     * @return \Dpd\Info\StructType\CustomerEventV1
     */
    public function setObjectId($objectId = null)
    {
        $this->objectId = $objectId;
        return $this;
    }
    /**
     * Get operationType value
     * @return string|null
     */
    public function getOperationType()
    {
        return $this->operationType;
    }
    /**
     * Set operationType value
     * @param string $operationType
     * @return \Dpd\Info\StructType\CustomerEventV1
     */
    public function setOperationType($operationType = null)
    {
        $this->operationType = $operationType;
        return $this;
    }
    /**
     * Get packageReference value
     * @return string|null
     */
    public function getPackageReference()
    {
        return $this->packageReference;
    }
    /**
     * Set packageReference value
     * @param string $packageReference
     * @return \Dpd\Info\StructType\CustomerEventV1
     */
    public function setPackageReference($packageReference = null)
    {
        $this->packageReference = $packageReference;
        return $this;
    }
    /**
     * Get parcelReference value
     * @return string|null
     */
    public function getParcelReference()
    {
        return $this->parcelReference;
    }
    /**
     * Set parcelReference value
     * @param string $parcelReference
     * @return \Dpd\Info\StructType\CustomerEventV1
     */
    public function setParcelReference($parcelReference = null)
    {
        $this->parcelReference = $parcelReference;
        return $this;
    }
    /**
     * Get waybill value
     * @return string|null
     */
    public function getWaybill()
    {
        return $this->waybill;
    }
    /**
     * Set waybill value
     * @param string $waybill
     * @return \Dpd\Info\StructType\CustomerEventV1
     */
    public function setWaybill($waybill = null)
    {
        $this->waybill = $waybill;
        return $this;
    }
}
