<?php

namespace Dpd\Info\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for getEventsForWaybillV1 StructType
 * Meta information extracted from the WSDL
 * - type: tns:getEventsForWaybillV1
 * @subpackage Structs
 */
class GetEventsForWaybillV1 extends AbstractStructBase
{
    /**
     * The waybill
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $waybill;
    /**
     * The eventsSelectType
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $eventsSelectType;
    /**
     * The language
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $language;
    /**
     * The authDataV1
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \Dpd\Info\StructType\AuthDataV1
     */
    public $authDataV1;
    /**
     * Constructor method for getEventsForWaybillV1
     * @uses GetEventsForWaybillV1::setWaybill()
     * @uses GetEventsForWaybillV1::setEventsSelectType()
     * @uses GetEventsForWaybillV1::setLanguage()
     * @uses GetEventsForWaybillV1::setAuthDataV1()
     * @param string $waybill
     * @param string $eventsSelectType
     * @param string $language
     * @param \Dpd\Info\StructType\AuthDataV1 $authDataV1
     */
    public function __construct($waybill = null, $eventsSelectType = null, $language = null, \Dpd\Info\StructType\AuthDataV1 $authDataV1 = null)
    {
        $this
            ->setWaybill($waybill)
            ->setEventsSelectType($eventsSelectType)
            ->setLanguage($language)
            ->setAuthDataV1($authDataV1);
    }
    /**
     * Get waybill value
     * @return string|null
     */
    public function getWaybill()
    {
        return $this->waybill;
    }
    /**
     * Set waybill value
     * @param string $waybill
     * @return \Dpd\Info\StructType\GetEventsForWaybillV1
     */
    public function setWaybill($waybill = null)
    {
        $this->waybill = $waybill;
        return $this;
    }
    /**
     * Get eventsSelectType value
     * @return string|null
     */
    public function getEventsSelectType()
    {
        return $this->eventsSelectType;
    }
    /**
     * Set eventsSelectType value
     * @param string $eventsSelectType
     * @return \Dpd\Info\StructType\GetEventsForWaybillV1
     */
    public function setEventsSelectType($eventsSelectType = null)
    {
        $this->eventsSelectType = $eventsSelectType;
        return $this;
    }
    /**
     * Get language value
     * @return string|null
     */
    public function getLanguage()
    {
        return $this->language;
    }
    /**
     * Set language value
     * @param string $language
     * @return \Dpd\Info\StructType\GetEventsForWaybillV1
     */
    public function setLanguage($language = null)
    {
        $this->language = $language;
        return $this;
    }
    /**
     * Get authDataV1 value
     * @return \Dpd\Info\StructType\AuthDataV1|null
     */
    public function getAuthDataV1()
    {
        return $this->authDataV1;
    }
    /**
     * Set authDataV1 value
     * @param \Dpd\Info\StructType\AuthDataV1 $authDataV1
     * @return \Dpd\Info\StructType\GetEventsForWaybillV1
     */
    public function setAuthDataV1(\Dpd\Info\StructType\AuthDataV1 $authDataV1 = null)
    {
        $this->authDataV1 = $authDataV1;
        return $this;
    }
}
